From 973cf0397dc392537c447523ddc3e2a5fd055bc3 Mon Sep 17 00:00:00 2001
From: Mark Olesen <Mark.Olesen@Germany>
Date: Thu, 16 Feb 2017 09:14:17 +0100
Subject: [PATCH] CONFIG: provide foamConfigurePaths -mpi option

- makes it easier to switch between mpi implementations (eg, openmpi, intelmpi etc)

- add comment about compiler setting for KNL
---
 bin/tools/foamConfigurePaths | 12 +++++++++++-
 etc/bashrc                   |  2 +-
 etc/cshrc                    |  2 +-
 3 files changed, 13 insertions(+), 3 deletions(-)

diff --git a/bin/tools/foamConfigurePaths b/bin/tools/foamConfigurePaths
index 442eaf83e17..98f7c55c94d 100755
--- a/bin/tools/foamConfigurePaths
+++ b/bin/tools/foamConfigurePaths
@@ -4,7 +4,7 @@
 # \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
 #  \\    /   O peration     |
 #   \\  /    A nd           | Copyright (C) 2011-2016 OpenFOAM Foundation
-#    \\/     M anipulation  | Copyright (C) 2016 OpenCFD Ltd.
+#    \\/     M anipulation  | Copyright (C) 2016-2017 OpenCFD Ltd.
 #------------------------------------------------------------------------------
 # License
 #     This file is part of OpenFOAM.
@@ -55,6 +55,7 @@ usage: ${0##*/}
   -metis-path dir         specify 'METIS_ARCH_PATH'
   -paraview ver           specify 'ParaView_VERSION' (eg, 5.0.1)
   -paraview-path dir      specify 'ParaView_DIR' (eg, /opt/paraviewopenfoam3120)
+  -mpi name               specify type for 'WM_MPLIB' (eg, FJMPI, INTELMPI, etc)
   -openmpi ver            specify ThirdParty openmpi version for 'FOAM_MPI'
   -openmpi-system         activate system openmpi
   -openmpi-third          activate ThirdParty openmpi (using default version)
@@ -338,6 +339,15 @@ do
         shift
         ;;
 
+    -mpi)
+        # Explicitly set WM_MPLIB=...
+        [ "$#" -ge 2 ] || die "'$1' option requires an argument"
+        replace etc/bashrc  WM_MPLIB "$2"
+        optMpi=system
+        adjusted=true
+        shift
+        ;;
+
     -openmpi)
         # Replace FOAM_MPI=openmpi-<digits>.. and set to use third-party
         #  The edit is slightly fragile, but works
diff --git a/etc/bashrc b/etc/bashrc
index 3f5d04e83bf..d9c253492bb 100644
--- a/etc/bashrc
+++ b/etc/bashrc
@@ -61,7 +61,7 @@ export FOAM_INST_DIR
 export WM_COMPILER_TYPE=system
 
 #- Compiler:
-#    WM_COMPILER = Gcc | Gcc4[8-9] | Gcc5[1-4] | Gcc6[1-2] | Clang | Icc
+#    WM_COMPILER = Gcc | Gcc4[8-9] | Gcc5[1-4] | Gcc6[1-2] | Clang | Icc | IccKNL
 export WM_COMPILER=Gcc
 unset WM_COMPILER_ARCH WM_COMPILER_LIB_ARCH
 
diff --git a/etc/cshrc b/etc/cshrc
index d5f315ee162..9928e0073fb 100644
--- a/etc/cshrc
+++ b/etc/cshrc
@@ -60,7 +60,7 @@ setenv FOAM_INST_DIR `lsof +p $$ |& grep -oE '/.*'$WM_PROJECT'[^/]*/etc/cshrc' |
 setenv WM_COMPILER_TYPE system
 
 #- Compiler:
-#    WM_COMPILER = Gcc | Gcc4[8-9] | Gcc5[1-4] | Gcc6[1-2] | Clang | Icc
+#    WM_COMPILER = Gcc | Gcc4[8-9] | Gcc5[1-4] | Gcc6[1-2] | Clang | Icc | IccKNL
 setenv WM_COMPILER Gcc
 setenv WM_COMPILER_ARCH # defined but empty
 unsetenv WM_COMPILER_LIB_ARCH
-- 
GitLab